Login
curl --request POST \
--url https://api.example.com/api/auth/login \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"password": "<string>"
}
'import requests
url = "https://api.example.com/api/auth/login"
payload = {
"email": "<string>",
"password": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({email: '<string>', password: '<string>'})
};
fetch('https://api.example.com/api/auth/login', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"400": {},
"401": {},
"403": {},
"success": true,
"user": {},
"tokens": {},
"message": "<string>"
}Authentication
Login
POST
/
api
/
auth
/
login
Login
Description
Authenticate user and receive JWT tokens. Supports credentials provider with password verification.Authentication
None (public endpoint)Request Body
string
required
User email address
string
required
User password
Response
boolean
Whether the login was successful
object
User object with id, email, name, role, and planTier
object
JWT tokens (accessToken and refreshToken)
string
Success message
Example Request
curl -X POST https://api.convosphere.site/api/auth/login \
-H "Content-Type: application/json" \
-d '{
"email": "user@example.com",
"password": "your-password"
}'
Example Response
{
"success": true,
"user": {
"id": "user_123",
"email": "user@example.com",
"name": "John Doe",
"role": "USER",
"planTier": "starter"
},
"tokens": {
"accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"refreshToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
},
"message": "Login successful"
}
Error Responses
object
Missing email or password
object
Invalid credentials
object
Email not verified
Was this page helpful?
⌘I